package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.UserSimple;
/**
 * 好友同意邀请 redis暂存类
 * @author Administrator
 *
 */
@Repository
public class MakeSureFriendshipRedisDao extends RedisGeneratorDao<String, ArrayList<UserSimple>>{
	private String tableKey = "makeSureFriendship";

    public ArrayList<UserSimple> select(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void update(String infoKey, ArrayList<UserSimple> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insert(String infoKey, ArrayList<UserSimple> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void delete(String infoKey) {
        delete(tableKey, infoKey);
    }
}
